- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions

# Selector Class Reference

This reference page is linked to from the following overview topics: Picking.

Search for all occurrences

## Detailed Description

This base class represents any shape in 3d space.

Used for selection.

From this base class, there is no way to get information about what this object looks like, or how big it is. It is used primarily to determine if selection operations have touched the object in question. Classes derived from Selector must implement the IsTouchedBy() method. Mudbox uses this class to provide information about specific regions in the space. See MeshRenderer::Render for an example.

Examples:

  ImmediateModeRenderer/ImmediateModeRenderer.h.

Definition at line 1527 of file math.h.

`#include <math.h>`

Inheritance diagram for Selector:
[legend]

List of all members.

## Public Types
enum | EState { eInside, eOutside, eTouching }
## Public Member Functions
virtual EState | IsTouchedBy (const AxisAlignedBoundingBox &cArea) const
| Determines if a bounding box is touching this object or not.

## Member Enumeration Documentation

enum EState

Search for all occurrences

Enumerator:

  eInside | Search for all occurrences
  eOutside | Search for all occurrences
  eTouching | Search for all occurrences

Definition at line 1532 of file math.h.

        {
            eInside,
            eOutside,
            eTouching
        };

## Member Function Documentation

virtual EState IsTouchedBy | ( | const AxisAlignedBoundingBox & | cArea | ) | const `[virtual]`

Search for all occurrences

Determines if a bounding box is touching this object or not.

The documentation for this class was generated from the following file:

- Mudbox/math.h

Selector Selector Selector Selector Selector Selector Selector Selector Selector Selector
Selector Selector Selector Selector Selector Selector Selector Selector Selector Selector